import { SetStyleBase } from '../base/SetStyleBase';
import { Doc } from '../../view/Doc';
import { WrText } from '../../model/document/WrText';
import { CommandPayloadMap } from '../types';
/**
 * 设置高亮
 */
export declare class SetHighlight extends SetStyleBase<'setHighlight'> {
    constructor(doc: Doc, payload: CommandPayloadMap['setHighlight']);
    protected applyStyle(run: WrText): void;
}
